You are not logged in.

#26 2005-06-01 15:01:59

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: Suggestion to move to fluxbox v0.9.x

dibblethewrecker wrote:

from the fluxbox-devel mailing list:
snip

I don't think it's the naming *exactly* - but this:

fluxbox download page wrote:

The latest stable release is v0.1.14. Development version of Fluxbox can be found here.

Offline

#27 2005-06-02 17:49:39

beniro
Member
From: St. Petersburg, FL, USA
Registered: 2002-12-31
Posts: 312

Re: Suggestion to move to fluxbox v0.9.x

The great thing about arch is that you can simply build your own fluxbox-devel package using the PKGBUILd that's already available on the forums and elsewhere (I think it's in some repo...).  Arch's rule for this, I believe, is to upgrade when the package is declared, by the authors, to be the stable version. Yes, they say that the 0.9.x series is stable, but it hasn't been officially declared as such.

In accordance with my understanding of the rules, the package should not be included as a "stable" package until the authors officially call it that.  Am I wrong?

Offline

#28 2005-06-02 22:34:20

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Suggestion to move to fluxbox v0.9.x

hi,

Woah, this old dragon of a discussion topic comes back with lot of fire.
This is my statement as package maintainer of either fluxbox and
fluxbox-devel (and morover fvwm-devel)
first: dibble pointed you there:
http://bbs.archlinux.org/viewtopic.php?p=66523#66523
I'm still with that opinion.

second: Lemme explain it a bit more. The situation is the following:
1. fluxbox(as in 0.1.14) doesn't build. It runs on the combat libstdc.so.5 we
ship with gcc. So if there are issues that would force a rebuilt it would fall
from the repos the same second. But there are people who still use it for
good reasons(such as slower machines). phrakture mentioned that. So
there is no need to force the kick of running software.
2. fluxbox-devel is where the fun and the beat is, therefore it should go
to extra. What to do with fluxbox then? Just exchange them? No, there will
be millions of questions, especially from newcomers, why there is an
outdated package in unstable. Introduce a "pasture" repo? No, we have
enough repos, even enough to confuse people who are working with AL
for a while.

The whole decision is not about being stubborn but about not knowing what
else would be the better solution. Just to make things clear:
For the fluxbox-devel users it's just annoying to fetch the package from
unstable, which means they have to uncomment two lines in pacman.conf!
For the fluxbox users, they would be really pissed if it would be kicked
since they would have to go back to (read recompile) gcc-3.3 to get
a working package if they would really want it.

Now flame on or come up with some resonable solutions guys.

-neri

#--------------EDIT---------------------
forgot to mention that: I'm neither a badass nor mephistopholes ...
I'm a pragmatist, wich comes close though

Offline

#29 2005-06-02 22:58:37

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: Suggestion to move to fluxbox v0.9.x

Reasonable Solution: Have Both of them in extra, fluxbox and fluxbox-devel

Reasonable Solution 2: Put Fluxbox to pasture and move fluxbox-devel to extra under Fluxbox.

Good luck finding anyone that is still using 0.1.14, if they are, they are probably still under the impression that -devel is literally 'developmental and unstable' which, it hardly is. its more stable than 'stable'

Keeping 0.1.14 for people with older hardware isnt an excuse, i ran 0.9x on my 300mhz box, and i can tell you that it ran better than 0.1.14 did. You have a choice to use transparency, or pixmap themes, you dont have to.

iphitus

Offline

#30 2005-06-03 04:29:25

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: Suggestion to move to fluxbox v0.9.x

mainly with iph - i see no reason not to have fluxbox-devel in extra alongside stable - apart from the fact that it is unprecedented

moreover, fluxbox-devel is in unstable and, esp compared to ther software in extra, it is NOT unstable!

The people at #fluxbox "Upgrade"
Arch Newbie "it's in unstable.  i don't want to..."

Offline

#31 2005-06-03 04:39:32

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: Suggestion to move to fluxbox v0.9.x

Bear in mind this ain't definative;

People using fluxbox-stable: 140
People using -devel -cvs or -svn: 84

You wouldn't believe the variety of pkgs installed for fluxbox - i think some people installed it several years ago and forgot they had it!  Some people are still using the -1 stable!

Offline

#32 2005-06-03 05:38:00

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: Suggestion to move to fluxbox v0.9.x

dibblethewrecker wrote:

Bear in mind this ain't definative;

People using fluxbox-stable: 140
People using -devel -cvs or -svn: 84

You wouldn't believe the variety of pkgs installed for fluxbox - i think some people installed it several years ago and forgot they had it!  Some people are still using the -1 stable!

Where'd you get those stats?

bear in mind, those people on the old one either may not have known about the newer one, or don't actually use it.

Offline

#33 2005-06-03 10:31:18

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: Suggestion to move to fluxbox v0.9.x

that was from Archstats - sorry, about to collapse smile

Offline

Board footer

Powered by FluxBB